cURL
curl --request GET \
--url https://api-alpha.fourvenues.com/integrations/discount-codes/ \
--header 'integration_id: <api-key>' \
--header 'secret: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api-alpha.fourvenues.com/integrations/discount-codes/"
headers = {
"integration_id": "<api-key>",
"secret": "<api-key>",
"x-api-key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {integration_id: '<api-key>', secret: '<api-key>', 'x-api-key': '<api-key>'}
};
fetch('https://api-alpha.fourvenues.com/integrations/discount-codes/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"_id": "dc4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"organization_id": "or4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"event_id": "el4gr63f00xkq01i1d8jh5ohuzaZhvoE",
"code": "SUMMER20",
"description": "Summer promotion",
"type": "tickets",
"active": true,
"fixed_amount": 0,
"percentage": 20,
"min_amount": 0,
"min_quantity": 0,
"max_quantity": 0,
"max_uses": 0,
"max_products": 0,
"expires_at": "2026-12-31T23:59:59.000Z"
}
]
}Discount Codes
Get discount codes
Get discount codes for the organization. Without event_id returns organization-level codes. With event_id returns codes scoped to that event.
GET
/
discount-codes
/
cURL
Authorizations
Identifier of the integration (Auth v1)
Secret of the organization (Auth v1)
API key (Auth v2)
Query Parameters
Event identifier. When provided, only discount codes for that event are returned.
Discount code type.
Show child attributes
Show child attributes
Maximum number of discount codes to return. Defaults to 100, maximum 500.
Number of discount codes to skip for pagination. Defaults to 0.